summaryrefslogtreecommitdiff
path: root/debian/golang-go.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/golang-go.postinst')
-rw-r--r--debian/golang-go.postinst29
1 files changed, 29 insertions, 0 deletions
diff --git a/debian/golang-go.postinst b/debian/golang-go.postinst
new file mode 100644
index 000000000..2f5bd34fb
--- /dev/null
+++ b/debian/golang-go.postinst
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+confdir=/etc/golang
+conffile=$confdir/goinstall.conf
+
+set -e
+
+. /usr/share/debconf/confmodule
+
+# Cleanup old debconf dashboard question that was removed in golang-go 2:1.1
+# -- 2013-05-14 stapelberg
+db_purge
+
+case "$1" in
+ configure)
+ # Remove obsolete goinstall.conf.
+ # -- 2013-05-14 stapelberg
+ if [ -e $conffile ]; then
+ rm -f $conffile
+ rmdir /etc/golang || true
+ fi
+ # Very ugly hack to set timestamps same as /usr/bin/go
+ find /usr/lib/go/pkg -exec touch -r /usr/bin/go {} \;
+ ;;
+ *)
+ ;;
+esac
+
+#DEBHELPER#